namespace Brizco.Domain.Entities.Complexes;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class PositionPermission : ApiEntity
{
    public PositionPermission()
    {
        
    }
    public PositionPermission(string permission,Guid positionId)
    {
        PositionId = positionId;
        Permission = permission;
    }
    public Guid PositionId { get; internal set; }
    public Position? Position { get; internal set; }
    public string Permission { get; set; } = string.Empty;
}